View Issue Details

IDProjectCategoryView StatusLast Update
0003913Kali Linux[All Projects] General Bugpublic2017-03-09 13:19
Reportercobbr Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version 
Summary0003913: Wrong kernel in installer package (netboot)
DescriptionI can't seem to get a PXE boot network install to work. This was working last week. I downloaded the latest netboot.tar.gz and it gives the same error.

Upon install I get the following error message:

/////
!! Download installer components
No Kernel modules were found. This probably is due to a mismatch between the kernel used by this version of the installer and the kernel version available in the archive.

If you're installing from a mirror, you can work around this problem by choosing to install a different version of Debian. The install will probably fail to work if you continue without kernel modules.
/////
Additional InformationSimilar to BugID: 0003370
https://bugs.kali.org/view.php?id=3370

I'm wondering if the netboot image hasn't been updated to the latest kernel version.

Activities

antiflag1980

2017-03-08 21:52

reporter   ~0006485

This has been hitting me for the past few days. I can't fix manually because my downstream repo updated and latest kernel versions and modules versions don't match.

Modules look like:
http://http.kali.org/pool/main/l/linux/scsi-modules-4.9.0-kali2-amd64-di_4.9.13-1kali1_amd64.udeb 2017-03-01 12:12 2.3M

Latest DI Kernel looks like:
http://http.kali.org/pool/main/l/linux/kernel-image-4.9.0-kali3-amd64-di_4.9.13-1kali2_amd64.udeb 2017-03-07 18:12 4.2M

Netboots look like last updated 2-21:
http://http.kali.org/dists/kali-rolling/main/installer-amd64/current/images/netboot/netboot.tar.gz 2017-02-21 02:50 27M
http://http.kali.org/dists/kali-rolling/main/installer-amd64/current/images/netboot/gtk/debian-installer/amd64/initrd.gz 2017-02-21 09:50 45M
http://http.kali.org/dists/kali-rolling/main/installer-amd64/current/images/netboot/gtk/debian-installer/amd64/linux 2017-02-21 09:50 4.0M
http://http.kali.org/dists/kali-rolling/main/installer-amd64/current/images/netboot/gtk/debian-installer/amd64/initrd.gz 2017-02-21 09:50 45M
http://http.kali.org/dists/kali-rolling/main/installer-amd64/current/images/netboot/gtk/debian-installer/amd64/linux 2017-02-21 09:50 4.0M

This started with an upgrade in the kernel modules the other day which I was able to fix by pulling modules from a dist-upgraded kali install and putting those modules into the older initrd and pulling the latest kernel from that box as well. Unfortunately that doesn't work for me as of today because the latest kernel in the regular repos is 4.9.0-kali2-amd64 0000001 SMP Debian 4.9.13-1kali1.

sbrun

2017-03-09 13:19

manager   ~0006488

we updated debian-installer and the netboot image.

Issue History

Date Modified Username Field Change
2017-03-08 17:10 cobbr New Issue
2017-03-08 21:52 antiflag1980 Note Added: 0006485
2017-03-09 13:19 sbrun Status new => resolved
2017-03-09 13:19 sbrun Resolution open => fixed
2017-03-09 13:19 sbrun Note Added: 0006488